Skip to content

Configure products

POST /api/v1/products/configure: request fields and declared response contract.

POST/api/v1/products/configure

Authorization
Permissionsettings.manage
Workspace scoperequired
Scope targetworkspace

Request body

Request body fields
FieldTypeRequiredNullableDefault
installationIdstringrequirednon-null—
settingsobjectrequirednon-null—
expectedRevisionintegerrequirednon-null—
changeReasonstringoptionalnon-null—

Response

201

Response fields
FieldTypeRequiredNullableDefault
dataunknownrequirednon-null—

Declared failures

Declared failures
PRODUCT_CONFIGURATION_FAILED500 — not retryable
PRODUCT_CONFIGURATION_INVALID400 — not retryable

Readback

Read the result back with:

  • products.inspectInstalled

Request example

Schematic only. Replace placeholders with real values and include all required nested fields.

POST /api/v1/products/configure HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>
Content-Type: application/json

{
  "installationId": "<installationId>",
  "settings": {},
  "expectedRevision": 0
}